0

All,

I've been developing Lightning Components and get an error in Winter '17 whenever I try to use force:recordView or force:recordEdit:

Something has gone wrong. afterRender threw an error in 'layout://rl-Contact-VIEW-FULL-012700000009b4BAAQ---force_highlights-_1-0-554b47494d493539522f4366576866475665533843413d3d.c' [afterRender threw an error in 'markup://aura:expression' [afterRender threw an error in 'markup://force:pageBlock' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://aura:expression' [afterRender threw an error in 'markup://force:pageBlockSectionView' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://aura:expression' [afterRender threw an error in 'markup://force:pageBlockSectionRow' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://aura:expression' [afterRender threw an error in 'markup://force:pageBlockItemView' [afterRender threw an error in 'markup://aura:if' [afterRender threw an error in 'markup://aura:expression' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://aura:if' [afterRender threw an error in 'markup://aura:html' [afterRender threw an error in 'markup://ui:tooltip' [Assertion Failed!: No cmp wrapper has been set : null]]]]]]]]]]]]]]]]]]]] Failing descriptor: {layout://rl-Contact-VIEW-FULL-012700000009b4BAAQ---force_highlights-_1-0-554b47494d493539522f4366576866475665533843413d3d.c}. Please try again.

I've noticed that the root of the error seems to be that ui:tooltip, which the Winter '17 documentation implies may no longer be supported?

Introducing Base Lightning Components - Bottom of the page

I've tried using them in components/apps with multiple components and I've also tried to use them on their own in an aura:application, just to test them:

<aura:application extends="force:slds">
   <force:recordView aura:id="details" recordId="0034E00000Az9OV"/>
</aura:application>

I've found that the component will work if you include type="MINI", but adding/removing "extends=force:slds" doesn't seem to make a difference, so the issue appears to be with the tooltips on the full page.

Can anybody confirm if these components are currently broken?

  • Could you please share the code snippet where you referred this event ? – Junaid P Khader Oct 6 '16 at 5:28
  • Absolutely - It's as simple as including it (and only that) on an aura:application. I've included the code snippet in my original question. – Bigears Oct 6 '16 at 8:36
  • have you tried to put force:recordView inside lightning component and use component in lightning application ? – Ratan Paul Oct 6 '16 at 10:44
  • Yes - I've tried it inside and outside components and I get the same error, unfortunately. – Bigears Oct 7 '16 at 7:42
0

It appears this has recently been created as a known issue:

force:recordView throwing errors when layout referencing formula/picklist fields in Lightning app

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.